<?xml version="1.0" encoding="UTF-8"?>
<!--

mauricio
To change this license header, choose License Headers in Project Properties.
To change this templaaskljdfhalksdjhfasdfasdfasdfte file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Gestión Lista Estudiantes</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </h:head>
    <h:body>
        <h:form>
            <p:panel header="Lista Estudiantes SE">
                <h:panelGrid columns="2" id="hpgDatos">
                    <p:outputLabel value="Nombre:" />
                    <p:outputLabel  value="#{listaEstudiantesController.temp.dato.nombre}"/>
                    <p:outputLabel value="Edad:" />
                    <p:outputLabel value="#{listaEstudiantesController.temp.dato.edad}" />

                </h:panelGrid>
                <h:panelGrid columns="4">
                    <p:commandButton value="Primero" update="@all"
                                     action="#{listaEstudiantesController.irAlPrimero()}"/>                    
                    <p:commandButton value="Anterior" disabled="true"/>
                    <p:commandButton value="Siguiente" update="@all" disabled="#{listaEstudiantesController.bloquear}"
                                     action="#{listaEstudiantesController.irAlsiguiente()}"/>
                    <p:commandButton value="Último" update="hpgDatos"
                                     action="#{listaEstudiantesController.irAlUltimo()}"/> 
                    <p:commandButton value="Eliminar Posición Actual"  update="@all"
                                     action="#{listaEstudiantesController.eliminarActual()}" />
                   
                    <p:commandButton value="Invertir lista"  update="@all"
                                     action="#{listaEstudiantesController.invertirLista()}" />
                    <p:commandButton value="Lista en Orden"  update="hpgDatos"
                                     action="#{listaEstudiantesController.listaOrden()}" />
                    
                    
                     <p:commandButton value="Ordenar por edad"  update="hpgDatos"
                                     action="#{listaEstudiantesController.ordenEdad()}" />
                     
                     
                     <p:commandButton value="Quiz punto 2 impares-pares"  update="quizDos"
                                     action="#{listaEstudiantesController.quizPuntoDos()}" />
                    
                   
                </h:panelGrid>
                <br/><br/>
               
                <h:panelGroup id="hpgCrear">
                    <p:commandButton value="Nuevo"  update="hpgCrear" 
                                     rendered="#{!listaEstudiantesController.verNuevo}"
                  action="#{listaEstudiantesController.verCrearEstudiante()}"/>
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    <p:commandButton value="Buscar por Posición" action="#{listaEstudiantesController.habilitarBuscar()}"
                                     update="hpgBuscarPosicion"/>
                    
                    
                    <p:commandButton value="Eliminar por Posición" action="#{listaEstudiantesController.habilitarBuscar()}"
                                     update="hpgEliminarPosicion"/>
                    
                    <p:panel header="Crear Estudiante" 
                             rendered="#{listaEstudiantesController.verNuevo}" >
                        <p:outputLabel value="Nombre:" />
                        <p:inputText value="#{listaEstudiantesController.estudianteAdicionar.nombre}"/>
                        <p:outputLabel value="Edad:" />
                        <p:inputText value="#{listaEstudiantesController.estudianteAdicionar.edad}"/>
                        <br/>
                       
                        <p:commandButton value="Adicionar al inicio" update="@all"
                                         action="#{listaEstudiantesController.adicionarAlInicio()}"/>
                        <p:commandButton value="Adicionar al Final" update="@all"
                                         action="#{listaEstudiantesController.adicionarAlFinal()}"/>
                    </p:panel>

                </h:panelGroup>
                
                <h:panelGroup id="hpgBuscarPosicion">
                    <p:panel header="Buscar x Posición" rendered="#{listaEstudiantesController.verBuscar}">
                        <p:inputText value="#{listaEstudiantesController.posicionBuscar}"/> 
                        <p:commandButton value="Obtener x Posición" action="#{listaEstudiantesController.buscarPorPosicion()}"
                                         update="hpgBuscarPosicion"/>
                        <p:panelGrid columns="2" >
                            <p:outputLabel 
                                value="#{listaEstudiantesController.estudianteEncontrado.nombre}" />
                            <p:outputLabel 
                                value="#{listaEstudiantesController.estudianteEncontrado.edad}"/>
                        </p:panelGrid>
                    </p:panel>
                </h:panelGroup>

                
                 <h:panelGroup id="hpgEliminarPosicion">
                    <p:panel header="Eliminar x Posición" rendered="#{listaEstudiantesController.verBuscar}">
                        <p:inputText value="#{listaEstudiantesController.posicionEliminar}"/> 
                        <p:commandButton value="Eliminar" action="#{listaEstudiantesController.eliminarNodoPorPosicion()}"
                                         update="hpgEliminarPosicion,hpgDatos"/>
                      
                            
                         <p:panelGrid columns="2" >
                          
                            <p:outputLabel 
                                value="Estudiante eliminado: #{listaEstudiantesController.estudianteEncontrado.nombre}" />
                            <p:outputLabel 
                                value="Edad: #{listaEstudiantesController.estudianteEncontrado.edad}"/>
                        </p:panelGrid>
                    </p:panel>
                     <br></br>
                    Resultado  Quiz DOS
                 </h:panelGroup>
               

                <p:panelGrid columns="2" id="quizDos">
                          
                             <p:outputLabel 
                                 
                                 value="#{listaEstudiantesController.resultadoDos}"/>
                        </p:panelGrid>

            </p:panel>


        </h:form>
    </h:body>
</html>
